unit Ke13Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl;

type
  TMainForm = class(TForm)
    CmdSave: TButton;
    CmdEnd: TButton;
    TxtEntry: TEdit;
    procedure CmdEndClick(Sender: TObject);
    procedure CmdSaveClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.CmdEndClick(Sender: TObject);
begin
     close;
end;

procedure TMainForm.CmdSaveClick(Sender: TObject);
var
   Str_File : TextFile;
   file_name , dir_name , input_str : String;
begin
     input_str := TxtEntry.Text;

     file_name := InputBox ( ' ','   :','' );

     dir_name := ExtractFilePath(file_name);

     if not DirectoryExists( dir_name ) then
        begin
        ShowMessage('       ');
        exit;
        end;

     AssignFile( Str_File , file_name );

     try
        Rewrite ( Str_File );
     except
           ShowMessage( '    ' );
           exit;
     end;

     try
     writeln ( Str_File , input_str );
     except
           ShowMessage( '    ' );
           CloseFile ( Str_File );
           exit;
     end;

     try
     CloseFile ( Str_File );
     except
           ShowMessage( '    ' );
     end;
end;

end.
